Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Interface PrivateKey

All Superinterfaces:
  java.security.Key, java.security.PrivateKey, java.io.Serializable

    public interface PrivateKey

extends java.security.PrivateKey

Private Keys used by JSS. All the private keys handled by JSS are of this type, which is a subtype of java.security.PrivateKey.

Nested Class Summary
`static class` | `PrivateKey.Type`

Field Summary
`static PrivateKey.Type` | `DiffieHellman`
`static PrivateKey.Type` | `DSA`
`static PrivateKey.Type` | `EC`
`static PrivateKey.Type` | `RSA`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`CryptoToken` | `getOwningToken()` Returns the CryptoToken that owns this private key.
`int` | `getStrength()` Returns the size, in bits, of the modulus of an RSA key.
`PrivateKey.Type` | `getType()` Returns the type (RSA or DSA) of this private key.
`byte[]` | `getUniqueID()` Deprecated. This ID is based on an implementation that might change. If this functionality is required, it should be provided in another way, such as a function that directly matches a cert and key.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### RSA

    static final PrivateKey.Type RSA

### DSA

    static final PrivateKey.Type DSA

### EC

    static final PrivateKey.Type EC

### DiffieHellman

    static final PrivateKey.Type DiffieHellman

Method Detail

### getType

    PrivateKey.Type getType()

  Returns the type (RSA or DSA) of this private key.

### getUniqueID

    byte[] getUniqueID()
                       throws TokenException

  Deprecated. This ID is based on an implementation that might change. If this functionality is required, it should be provided in another way, such as a function that directly matches a cert and key.

  Returns the unique ID of this key. Unique IDs can be used to match certificates to keys.

  Throws:
    `TokenException`
  See Also:
    `TokenCertificate.getUniqueID()`

### getStrength

    int getStrength()

  Returns the size, in bits, of the modulus of an RSA key. Returns -1 for other types of keys.

### getOwningToken

    CryptoToken getOwningToken()

  Returns the CryptoToken that owns this private key. Cryptographic operations with this key may only be performed on the token that owns the key.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD